## wmaker 0.95.8

=== WINGs/Examples/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# WINGs/Examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = fontl$(EXEEXT) puzzle$(EXEEXT) colorpick$(EXEEXT)
subdir = WINGs/Examples
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
colorpick_SOURCES = colorpick.c
colorpick_OBJECTS = colorpick.$(OBJEXT)
colorpick_LDADD = $(LDADD)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
fontl_SOURCES = fontl.c
fontl_OBJECTS = fontl.$(OBJEXT)
fontl_LDADD = $(LDADD)
puzzle_SOURCES = puzzle.c
puzzle_OBJECTS = puzzle.$(OBJEXT)
puzzle_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = colorpick.c fontl.c puzzle.c
DIST_SOURCES = colorpick.c fontl.c puzzle.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@lists.windowmaker.org
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.8
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.8
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.8
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/freetype2
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker/WINGs/Examples
abs_srcdir = /home/profzoom/src/wmaker/wmaker/WINGs/Examples
abs_top_builddir = /home/profzoom/src/wmaker/wmaker
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft  -lX11  -lXext

colorpick_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
fontl_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
puzzle_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I${includedir}  

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu WINGs/Examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu WINGs/Examples/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \

=== WINGs/Extras/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# WINGs/Extras/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = test$(EXEEXT)
subdir = WINGs/Extras
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(include_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libExtraWINGs_la_LIBADD =
am_libExtraWINGs_la_OBJECTS = wtableview.lo wtabledelegates.lo
libExtraWINGs_la_OBJECTS = $(am_libExtraWINGs_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
PROGRAMS = $(noinst_PROGRAMS)
test_SOURCES = test.c
test_OBJECTS = test.$(OBJEXT)
am__DEPENDENCIES_1 = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
test_DEPENDENCIES = wtableview.o wtabledelegates.o \
	$(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libExtraWINGs_la_SOURCES) test.c
DIST_SOURCES = $(libExtraWINGs_la_SOURCES) test.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(include_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@lists.windowmaker.org
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.8
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.8
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.8
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/freetype2
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker/WINGs/Extras
abs_srcdir = /home/profzoom/src/wmaker/wmaker/WINGs/Extras
abs_top_builddir = /home/profzoom/src/wmaker/wmaker
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  

# is this a kluge? if so, how should i do it?
includedir = ${prefix}/include/WINGs
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}

=== WINGs/Tests/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# WINGs/Tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = wtest$(EXEEXT) wmquery$(EXEEXT) wmfile$(EXEEXT) \
	testmywidget$(EXEEXT)
subdir = WINGs/Tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testmywidget_OBJECTS = testmywidget.$(OBJEXT) mywidget.$(OBJEXT)
testmywidget_OBJECTS = $(am_testmywidget_OBJECTS)
testmywidget_LDADD = $(LDADD)
testmywidget_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
wmfile_SOURCES = wmfile.c
wmfile_OBJECTS = wmfile.$(OBJEXT)
wmfile_LDADD = $(LDADD)
wmfile_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
wmquery_SOURCES = wmquery.c
wmquery_OBJECTS = wmquery.$(OBJEXT)
wmquery_LDADD = $(LDADD)
wmquery_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la \
	$(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la
wtest_SOURCES = wtest.c
wtest_OBJECTS = wtest.$(OBJEXT)
wtest_LDADD = $(LDADD)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(testmywidget_SOURCES) wmfile.c wmquery.c wtest.c
DIST_SOURCES = $(testmywidget_SOURCES) wmfile.c wmquery.c wtest.c
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@lists.windowmaker.org
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.8
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.8
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.8
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/freetype2
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker/WINGs/Tests
abs_srcdir = /home/profzoom/src/wmaker/wmaker/WINGs/Tests
abs_top_builddir = /home/profzoom/src/wmaker/wmaker
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
LDADD = $(top_builddir)/WINGs/libWINGs.la $(top_builddir)/wrlib/libwraster.la \
	$(top_builddir)/WINGs/libWUtil.la \
	-lXft  -lX11  -lXext 

testmywidget_SOURCES = testmywidget.c mywidget.c mywidget.h 
wtest_DEPENDENCIES = $(top_builddir)/WINGs/libWINGs.la
EXTRA_DIST = logo.xpm upbtn.xpm wm.html wm.png
AM_CPPFLAGS = -I$(top_srcdir)/WINGs -I$(top_srcdir)/wrlib -I$(top_srcdir)/src \
	-DRESOURCE_PATH=\"$(datadir)/WINGs\" -I/usr/include/freetype2 -I${includedir}  

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \

=== wrlib/tests/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# wrlib/tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/WindowMaker
pkgincludedir = $(includedir)/WindowMaker
pkglibdir = $(libdir)/WindowMaker
pkglibexecdir = $(libexecdir)/WindowMaker
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = testdraw$(EXEEXT) testgrad$(EXEEXT) testrot$(EXEEXT) \
	view$(EXEEXT)
subdir = wrlib/tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cflags_gcc_option.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/ld-version-script.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/windowmaker.m4 \
	$(top_srcdir)/m4/wm_attributes.m4 \
	$(top_srcdir)/m4/wm_cflags_check.m4 \
	$(top_srcdir)/m4/wm_i18n.m4 \
	$(top_srcdir)/m4/wm_imgfmt_check.m4 \
	$(top_srcdir)/m4/wm_libexif.m4 $(top_srcdir)/m4/wm_libmath.m4 \
	$(top_srcdir)/m4/wm_prog_cc_c11.m4 \
	$(top_srcdir)/m4/wm_xext_check.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_testdraw_OBJECTS = testdraw.$(OBJEXT)
testdraw_OBJECTS = $(am_testdraw_OBJECTS)
am__DEPENDENCIES_1 = $(top_builddir)/wrlib/libwraster.la
testdraw_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_testgrad_OBJECTS = testgrad.$(OBJEXT)
testgrad_OBJECTS = $(am_testgrad_OBJECTS)
testgrad_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_testrot_OBJECTS = testrot.$(OBJEXT)
testrot_OBJECTS = $(am_testrot_OBJECTS)
testrot_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_view_OBJECTS = view.$(OBJEXT)
view_OBJECTS = $(am_view_OBJECTS)
view_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) $(testrot_SOURCES) \
	$(view_SOURCES)
DIST_SOURCES = $(testdraw_SOURCES) $(testgrad_SOURCES) \
	$(testrot_SOURCES) $(view_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoconf
AUTOHEADER = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing autoheader
AUTOMAKE = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wno-sign-compare -Werror=trampolines -Wno-deprecated -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS =  -DNDEBUG -D_XOPEN_SOURCE=600 -D_GNU_SOURCE
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FCLIBS = -lfontconfig -lfreetype
FGREP = /bin/grep -F
GFXLIBS =  -lXpm -lpng -ljpeg -lgif -ltiff
GREP = /bin/grep
HEADER_SEARCH_PATH = -I${includedir}  
ICONEXT = tiff
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLIBS = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBBSD = -lbsd
LIBEXIF = 
LIBM = -lm
LIBOBJS = 
LIBRARY_SEARCH_PATH = -L${libdir} 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXINERAMA = -lXinerama 
LIBXMU = -lXmu
LIBXRANDR = 
LINGUAS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGICKFLAGS = 
MAGICKLIBS = 
MAKEINFO = ${SHELL} /home/profzoom/src/wmaker/wmaker/missing makeinfo
MANIFEST_TOOL = :
MANLANGDIRS = 
MKDIR_P = /bin/mkdir -p
MSGFMT = 
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = WindowMaker
PACKAGE_BUGREPORT = wmaker-dev@lists.windowmaker.org
PACKAGE_NAME = WindowMaker
PACKAGE_STRING = WindowMaker 0.95.8
PACKAGE_TARNAME = WindowMaker
PACKAGE_URL = http://www.windowmaker.org/
PACKAGE_VERSION = 0.95.8
PANGOLIBS = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UTILMOFILES = 
VERSION = 0.95.8
WINGSMOFILES = 
WINGS_VERSION = 4:0:1
WMAKERMOFILES = 
WPREFSMOFILES = 
WRASTER_VERSION = 6:0:0
WUTIL_VERSION = 5:0:0
XCFLAGS = 
XFTCONFIG = /usr/bin/pkg-config xft
XFTFLAGS = -I/usr/include/freetype2
XFTLIBS = -lXft
XGETTEXT = xgettext
XLFLAGS = 
XLIBS = -lX11  -lXext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBRARY_PATH = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
abs_builddir = /home/profzoom/src/wmaker/wmaker/wrlib/tests
abs_srcdir = /home/profzoom/src/wmaker/wmaker/wrlib/tests
abs_top_builddir = /home/profzoom/src/wmaker/wmaker
abs_top_srcdir = /home/profzoom/src/wmaker/wmaker
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
ax_pthread_config = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
defsdatadir = ${sysconfdir}/WindowMaker
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
inc_search_path = -I${includedir}  
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/profzoom/src/wmaker/wmaker/install-sh
lcov_output_directory = 
lib_search_path = -L${libdir} 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = ${datadir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wprefs_bindir = ${exec_prefix}/bin
wprefs_datadir = ${datarootdir}/WPrefs
AUTOMAKE_OPTIONS = 
EXTRA_DIST = test.png tile.xpm ballot_box.xpm 
AM_CPPFLAGS = -I$(srcdir)/.. $(DFLAGS) -I${includedir}  
LIBLIST = $(top_builddir)/wrlib/libwraster.la -lX11  -lXext
testdraw_SOURCES = testdraw.c
testdraw_LDADD = $(LIBLIST)
testgrad_SOURCES = testgrad.c
testgrad_LDADD = $(LIBLIST)
testrot_SOURCES = testrot.c
testrot_LDADD = $(LIBLIST)
view_SOURCES = view.c
view_LDADD = $(LIBLIST)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu wrlib/tests/Makefile'; \

=== debian/changelog ===
wmaker (0.95.8-2) unstable; urgency=low

  [ Doug Torrance ]
  * Remove and replace the deprecated Debian menu.  The list of
    applications is now generated by the wmmenugen utility (with some
    patches from upstream's development branch) from .desktop files in
    /usr/share/applications.  This gives a decent approximation of
    compliance with freedesktop.org's menu standards (Closes: #868431).
  * Bump Standards-Version to 4.0.1.
  * Use dh_installwm to register Window Maker with update-alternatives.
    In particular, we add a new file, debian/wmaker.wm, and a new target,
    override_dh_installwm, to debian/rules which sets the priority.
    To accommodate this, we move the manpage from wmaker-common to
    wmaker.
  * Bump debhelper compatibility level to 10.
  * Remove explicit call to dh_autoreconf; enabled by default in
    debhelper 10.

  [ Andreas Metzler ]
  * Handle removal of menu-methods on upgrades (orphaned conffiles) with
    debian/wmaker{,-common}.maintscript. Remove generated menufiles
    (etc/GNUstep/Defaults/appearance.menu and /etc/GNUstep/Defaults/menu.hook
    on upgrades and purge.
  * Because of the moved manpage (which in turn is needed for using
    dh_installwm) wmaker breaks/replaces wmaker-common (<< 0.95.8-2~).
  * Ship our menu as /etc/GNUstep/Defaults/plmenu.Debian and add a symlink
    to it as /usr/share/WindowMaker/menu.hook to make the menu accessible for
    upgraded installations.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Aug 2017 14:11:24 +0200

wmaker (0.95.8-1) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Jul 2017 13:35:24 +0200

wmaker (0.95.8-1~exp2) experimental; urgency=medium

  [ Doug Torrance ]
  * debian/debianfiles/Themes/Debian.style
    - Rename from just "Debian" for consistency with other Window
      Maker themes.
  * debian/debianfiles/upgrade-windowmaker-defaults
    - Delete archaic script. It was intended to help users upgrade
      Window Maker 15+ years ago when the configuration file syntax
      was not stable.  No longer necessary.
  * debian/libwings3.symbols
    - Remove MISSING comment lines.
  * debian/libwings-dev.examples
    - New file; install WINGs examples.
  * debian/libwmaker-dev.install
    - Install libwmaker pkg-config file.
  * debian/patches/50_def_config_paths.diff
    - Remove unnecessary patch. It added /etc/GNUstep/Defaults to
      the DEF_CONFIG_PATHS macro, but the files needed in the paths
      referenced in this macro (in particular, menu, autostart, and
      exitscript) will not be located there.
  * debian/patches/53_Debian_WMState.diff
    - Update patch.  The path to WPrefs is already set correctly
      during build; we do not need to set it explicitly.
  * debian/README.Debian
    - Remove notes about upgrading from very old (15+ years ago)
      versions of Window Maker.
  * debian/watch
    - Bump to uscan v4 and simplify using new strings.
  * debian/wmaker.dirs
    - Remove unnecessary file
  * debian/wmaker-common.dirs
    - Remove redundant lines.
  * debian/wmaker-common.docs
    - Do not specify installation of debian/copyright;
      dh_installdocs already installs it by default.
  * debian/wmaker-common.{docs,install}
    - Move installation of various README files from dh_install
      to dh_installdocs.
  * debian/wmaker-common.install
    - Simplify by giving directories instead of individual files
      where possible.
  * debian/wmaker-common.links
    - Remove unnecessary file. It created a link which was a
      workaround for a bug fixed in the latest upstream release.
  * debian/wmaker-common.maintscript
    - Sort with wrap-and-sort.
  * debian/rules
    - New override_dh_installdocs target; contains code renaming
      README files from override_dh_install target.

  [ Andreas Metzler ]
  * Drop Rodolfo García Peñas from uploaders. - Thanks for your work!
    Closes: #866854
  * 10_util-fix-parsing-of-XDG-menus-with-multiple-groups.patch from upstream
    GIT next: Fix wmmenugen parsing of XDG menu files with more than one
    group.

  [ Doug Torrance / Andreas Metzler ]
  * Add dependency on wmaker-common (>= ${source:Version}) to libwutil5 and
    libwings3 to make it possible to use these libraries without wmaker.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jul 2017 11:43:39 +0200

wmaker (0.95.8-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Menus may be shaded (Closes: #72038).
    - Follow window placement rules when placing windows on non-active
      workspaces (Closes: #181735).
    - Windows list sorted by workspace (Closes: #280851).
    - New keyboard shortcuts (Closes: #306808).
    - Default menu uses correct path to WPrefs (Closes: #851737).
    - Use PKG_PROG_PKG_CONFIG macro to allow cross building
      (Closes: #853236).
  * debian/control
    - Add xterm to Suggests as it is referenced in the default Window
      Maker menus (LP: #1429495).
  * debian/libwraster*
    - Rename libwraster5 -> libwraster6 for soname version bump.
  * debian/patches
     - Remove patches which were either applied or otherwise made
       unnecessary with the new upstream release.  In particular,
       + 51_wmaker_man.diff
       + 55_ungif_problem.diff
       + 56_ignore_runstatedir.diff
       + 57_ignore_with-aix-soname.diff
       + 60_fix_wraster_symbol_versioning.diff
       + 61_fix_wmmenugen_segfault.diff
  * debian/rules
    - Use new --with-defsdatadir configure option to specify global
      defaults directory instead of old GLOBAL_DEFAULTS_SUBDIR macro.
    - Use renamed --with-xlocale configure option instead of old
      --with-locale.
    - Drop --with-localedir configure option, as it does not exist.
      It should have been --localedir, but the default is what we
      want anyway.
    - Add -Wl,--as-needed to LDFLAGS to avoid useless dependencies.
  * debian/wmaker-common.install
    - Update path for system WMGLOBAL and WMState config files.



=== debian/control ===
Source: wmaker
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
           Doug Torrance <dtorrance@piedmont.edu>
Standards-Version: 4.0.1
Build-Depends: automake (>= 1:1.12),
               debhelper (>= 10),
               gettext,
               libfontconfig1-dev,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               libsm-dev,
               libtiff-dev,
               libtool,
               libx11-dev,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxmu-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               sharutils
Homepage: http://windowmaker.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmaker.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmaker.git

Package: wmaker
Architecture: any
Multi-Arch: foreign
Depends: wmaker-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: desktop-base,
          wmaker-data,
          wmaker-utils,
          x-terminal-emulator,
          x11-apps,
          xterm
Breaks: wmaker-common (<< 0.95.8-2~)
Replaces: wmaker-common (<< 0.95.8-2~)
Description: NeXTSTEP-like window manager for X
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.

Package: wmaker-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: wmaker
Description: Window Maker - Architecture independent files
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains the architecture independent files.

Package: wmaker-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: wmaker (<< 0.95.7-6)
Replaces: wmaker (<< 0.95.7-6)
Description: Window Maker - Utilities
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker (originally
 named WindowMaker) is not overloaded with features, and it is easier to
 configure than most other window managers. Its final goal is to produce a
 window manager that doesn't require editing of configuration files.
 Window Maker is fast and doesn't require tons of memory to run.
 .
 This package contains wxcopy and wxpaste, two utilities ordinarily shipped with
 Window Maker but not depending on it or any of its libraries.  These
 utilities allow users to interact with cut buffers on the command line.

Package: libwraster-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libgif-dev,
         libjpeg-dev,
         libpng-dev,
         libtiff5-dev,
         libwraster6 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxpm-dev,
         ${misc:Depends}
Breaks: libwraster3-dev
Replaces: libwraster3-dev
Description: Static libraries and headers of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available
 .
 Contains libwraster and header files, for manipulating and
 rasterizing images.

Package: libwraster6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available

Package: libwings-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libfontconfig1-dev,
         libwings3 (= ${binary:Version}),
         libwraster-dev,
         libwutil5 (= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxft-dev,
         ${misc:Depends}
Description: Window Maker's own widget set
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.

Package: libwutil5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - utility library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWUtils runtime library.

Package: libwings3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         wmaker-common (>= ${source:Version})
Description: Window Maker's own widget set - runtime library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWINGs runtime library.

Package: libwmaker-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwmaker1 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Description: Static libraries and headers for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains libWMaker and header files, for building
 Window Maker aware applications.

Package: libwmaker1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runtime library for Window Maker applications
 Window Maker is a NeXTSTEP-like window manager for X.
 .
 This package contains the libWMaker runtime library for Window Maker
 aware applications.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND += -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

LINGUAS           := $(patsubst po/%.po, %, $(wildcard po/*.po))

WMAKER_OPTIONS := --disable-xlocale --enable-modelock --enable-pango --enable-xinerama
#not-enabled      --enable-usermenu --disable-shape --disable-shm --enable-randr
#not-enabled      --disable-xpm --disable-png --disable-jpeg --disable-gif --disable-tiff

# Debian packages destination folder
DEBIAN_TMP        := debian/tmp

# Be careful with the leading / because some of these values are going
# to be hardcoded into the executables
BASEDIR           := /usr
INCLUDEDIR        := $(BASEDIR)/include
SHAREDIR          := $(BASEDIR)/share
GNUSTEPDIR        := $(SHAREDIR)/lib/GNUstep/System
WMSHAREDIR        := $(SHAREDIR)/WindowMaker
PIXMAPDIR         := $(INCLUDEDIR)/X11/pixmaps
DEFSDATADIR       := /etc/GNUstep/Defaults

COMMON_OPTIONS    := --datadir=$(SHAREDIR)            \
                     --with-pixmapdir=$(PIXMAPDIR)    \
                     --with-gnustepdir=$(GNUSTEPDIR)  \
                     --with-defsdatadir=$(DEFSDATADIR)

%:
	dh $@ --parallel

override_dh_auto_configure:
	env LINGUAS="$(LINGUAS)" dh_auto_configure --verbose -- \
		$(COMMON_OPTIONS) $(WMAKER_OPTIONS)

override_dh_installdocs:
	# Readmes - Copy+rename before install
	# We use the root of the temporal directory debian/tmp
	cp po/README $(DEBIAN_TMP)/README.po
	cp README.definable-cursor $(DEBIAN_TMP)/README.definable-cursor
	cp WPrefs.app/README $(DEBIAN_TMP)/README.WPrefs
	cp WPrefs.app/po/README $(DEBIAN_TMP)/README.WPrefs.po
	dh_installdocs

override_dh_install:
	# Fix perms for /usr/share/WindowMaker/*sh before install them
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/autostart.sh
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/exitscript.sh


	# Now, change the #wmdatadir# string to $(WMSHAREDIR)
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' `find $(DEBIAN_TMP)/$(WMSHAREDIR) -name plmenu.*`
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/wmmacros
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/plmenu

	# Install files
	dh_install

override_dh_installwm:
	dh_installwm --priority=50

=== debian/watch ===
version=4
http://windowmaker.org/ (?:|.*/)WindowMaker@ANY_VERSION@@ARCHIVE_EXT@
